Completed

Installing server 2.7.8 failes

Jon Mjorud shared this idea 4 months ago

Hi,

I'm trying to install v2.7.8 on a fresh install of Ubuntu 16.04.01 LTS.
After apt-get install bluecherry the install failes with



Errors were encountered while processing:
/var/cache/apt/archives/bluecherry_2%3a2.7.8_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)




  1. Preparing to unpack .../bluecherry_2%3a2.7.8_amd64.deb ...
  2. sed: can't read /etc/bluecherry.conf: No such file or directory
  3. groupadd: group 'bluecherry' already exists
  4. usermod: user bluecherry is currently used by process 1244
  5. dpkg: error processing archive /var/cache/apt/archives/bluecherry_2%3a2.7.8_amd64.deb (--unpack):
  6. subprocess new pre-installation script returned error exit status 8
  7. + '[' -f /usr/share/debconf/confmodule ']'
  8. + . /usr/share/debconf/confmodule
  9. ++ '[' '!' '' ']'
  10. ++ PERL_DL_NONLAZY=1
  11. ++ export PERL_DL_NONLAZY
  12. ++ '[' '' ']'
  13. ++ exec /usr/share/debconf/frontend /var/lib/dpkg/tmp.ci/postrm abort-install
  14. + '[' -f /usr/share/debconf/confmodule ']'
  15. + . /usr/share/debconf/confmodule
  16. ++ '[' '!' 1 ']'
  17. ++ '[' -z '' ']'
  18. ++ exec
  19. ++ '[' '' ']'
  20. ++ exec
  21. ++ DEBCONF_REDIR=1
  22. ++ export DEBCONF_REDIR
  23. + case "$1" in
  24. + '[' abort-install = purge ']'
  25. + '[' -d /run/systemd/system ']'
  26. + systemctl --system daemon-reload
  27. + '[' abort-install = purge ']'
  28. + db_stop
  29. + echo STOP
  30. Processing triggers for libc-bin (2.23-0ubuntu4) ...
  31. Errors were encountered while processing:
  32. /var/cache/apt/archives/bluecherry_2%3a2.7.8_amd64.deb
  33. E: Sub-process /usr/bin/dpkg returned an error code (1)




Any ideas what the problem is?


Best regards

Comments (3)

photo
1

This happens on a fresh install of Ubuntu v16.04.01. I have tried this several times on ESXi VMs with the same error message. Without upgrade, with upgrade, with dist-upgrade... same error when apt-get install bluecherry.

photo
1

Hello Jon,

you say you are doing fresh install, but these error messages indicate that you already have user/group "bluecherry" in your system:

  1. groupadd: group 'bluecherry' already exists
  2. usermod: user bluecherry is currently used by process 1244

Did you name your account "bluecherry"?

Please remove user and group "bluecherry" from your system and try to install again

photo
1

Hi,

That solved the problem. :)

Thank you.